Bug 842419

Summary: RFE: provide something similar to https://bugzilla.mozilla.org/page.cgi?id=user_activity.html
Product: [Community] Bugzilla Reporter: Cole Robinson <crobinso>
Component: Bugzilla GeneralAssignee: Matt Tyson <mtyson>
Status: CLOSED CURRENTRELEASE QA Contact: tools-bugs <tools-bugs>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 4.2CC: chechen, jingwang, mtyson, xma
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 4.4-3 Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-20 07:03:57 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Cole Robinson 2012-07-23 16:10:18 EDT
Mozilla's bugzilla instance has a 'user activity report' page. This is pretty useful for a few reasons:

1) Great for status reports, since I can barely remember what I do day to day :)
2) I'm sure manager's would like it too, for checking up on their reports (hmm, maybe that's an argument against this :) )
3) Useful for Fedora where there's often a case when a package maintainer just goes AWOL. There's a whole process to it, and even a script[1] for pulling down fairly comprehensive user activity, but it would still be useful as a quick 'is this maintainer ignoring every bug or just _my_ bug?'

[1] https://github.com/pypingou/fedora-active-user
Comment 1 Simon Green 2012-09-11 02:06:48 EDT
Definitely a great idea. I have earmarked it for Bugzilla 4.4 release.
Comment 2 Cole Robinson 2012-10-14 13:01:03 EDT
Also, I discovered gnome bugzilla has something similar, just as another example:

https://bugzilla.redhat.com/page.cgi?id=describeuser.html&login=crobinso%40redhat.com

You get that when you click on the users name in any bug report, which is more useful than a mailto: link IMO. But that's certainly not a requirement
Comment 3 Cole Robinson 2012-10-21 17:57:31 EDT
Just realized I never posted a mozilla link for reference:

https://bugzilla.mozilla.org/page.cgi?id=user_activity.html&action=run&who=ddahl@mozilla.com
Comment 11 Chen Chen 2013-02-19 05:39:26 EST
Verify version 4.4-1 on test server --> PASS

Verify steps:
1.1  Login Bugzilla with public account to user_activity.html.
1.2  Login Bugzilla with editusers group account to user_activity.html.
1.3 Login Bugzilla with admin account to user_activity.html.
2.1  Login Bugzilla with public account to group_admins.html and group_membership.html.
2.2  Login Bugzilla with editusers group account to group_admins.html and group_membership.html.
2.3 Login Bugzilla with admin account to group_admins.html and group_membership.html.
2.4 Login Bugzilla with user which not in editusers group but in other group to group_admins.html and group_membership.html.
3.1  Login Bugzilla with public account to email_queue.html.
3.2  Login Bugzilla with editusers group account to email_queue.html.
3.3 Login Bugzilla with admin account to email_queue.html.

Actual result:
1. After step 1, all users can see user_activity.html.
2. After step 2.1, public user can not see group_admins.html and group_membership.html.
3. After step 2.2, editusers user can see group_admins.html and group_membership.html.
4. After step 2.3, admin user can see group_admins.html and group_membership.html.
5. After step 2.4, user in other group than editusers group can not see group_admins.html and group_membership.html.
6. After step 3, only admin user can see email_queue.html.